com.ibm.openpages.api.respview

## Interface IRespViewHeader

-     public interface IRespViewHeader

  Represents header of the responsive view

  Since:
    8.0.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IRespViewField>` | `getActionFields()` Returns the list of responsive view fields that provides actions of the task view ( such as lifecycle transitions )
    `java.util.List<IRespViewField>` | `getFields()` Returns the list of responsive view fields
    `void` | `setActionFields(java.util.List<IRespViewField> fields)` Sets the list of responsive view fields that provides actions of the task view ( such as lifecycle transitions )
    `void` | `setFields(java.util.List<IRespViewField> fields)` Sets the list of responsive view fields

- - ### Method Detail

    - #### getFields

          java.util.List<IRespViewField> getFields()

      Returns the list of responsive view fields
      Returns:
        the list of `IRespViewField`

    - #### setFields

          void setFields(java.util.List<IRespViewField> fields)

      Sets the list of responsive view fields
      Parameters:
        `fields` -

    - #### getActionFields

          java.util.List<IRespViewField> getActionFields()

      Returns the list of responsive view fields that provides actions of the task view ( such as lifecycle transitions )
      Returns:
        the list of `IRespViewField`

    - #### setActionFields

          void setActionFields(java.util.List<IRespViewField> fields)

      Sets the list of responsive view fields that provides actions of the task view ( such as lifecycle transitions )
      Parameters:
        `fields` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.